Bug 1658515 - [abrt] remove_wait_queue: list_del corruption. prev->next should be ffff9bba43d43ec0, but was dead000000000100
Summary: [abrt] remove_wait_queue: list_del corruption. prev->next should be ffff9bba4...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f0d82d6490b83f32f67da2b08d2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 10:34 UTC by Horst H. von Brand
Modified: 2019-02-21 21:07 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:07:20 UTC


Attachments (Terms of Use)
File: dmesg (97.68 KB, text/plain)
2018-12-12 10:34 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2018-12-12 10:34:35 UTC
Description of problem:
Didn't even notice it at the time, sorry.

Additional info:
reporter:       libreport-2.9.7
list_del corruption. prev->next should be ffff9bba43d43ec0, but was dead000000000100
------------[ cut here ]------------
kernel BUG at lib/list_debug.c:53!
invalid opcode: 0000 [#1] SMP PTI
CPU: 3 PID: 3195 Comm: khidpd_104803ed Not tainted 4.19.6-300.fc29.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. UX32VD/UX32VD, BIOS UX32VD.214 01/29/2013
RIP: 0010:__list_del_entry_valid.cold.1+0x34/0x4c
Code: e6 10 b7 e8 68 e1 c8 ff 0f 0b 48 c7 c7 d8 e6 10 b7 e8 5a e1 c8 ff 0f 0b 48 89 f2 48 89 fe 48 c7 c7 98 e6 10 b7 e8 46 e1 c8 ff <0f> 0b 48 89 fe 48 c7 c7 60 e6 10 b7 e8 35 e1 c8 ff 0f 0b 90 90 90
RSP: 0018:ffff9bba43d43e80 EFLAGS: 00010046
RAX: 0000000000000054 RBX: ffff9bba43d43ea8 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff8b2c6ad96868 RDI: ffff8b2c6ad96868
RBP: ffff8b2c023e3480 R08: 0000000000000064 R09: 0000000000000003
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000000000292
R13: ffff8b2c4431be00 R14: ffff8b2be4804000 R15: ffffffffc0f8e3d0
FS:  0000000000000000(0000) GS:ffff8b2c6ad80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f26787df000 CR3: 000000001720a003 CR4: 00000000001606e0
Call Trace:
 remove_wait_queue+0x20/0x60
 hidp_session_thread+0x145/0x1f0 [hidp]
 ? hidp_session_terminate+0x30/0x30 [hidp]
 ? hidp_session_terminate+0x30/0x30 [hidp]
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Modules linked in: hidp rfcomm fuse xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 devlink xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ccm ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep vfat fat uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 rtsx_usb_ms videobuf2_common cdc_ether memstick videodev usbnet r8152 media mii intel_rapl x86_pkg_temp_thermal btusb intel_powerclamp btrtl coretemp btbcm btintel snd_hda_codec_hdmi bluetooth kvm_intel kvm snd_hda_codec_realtek ecdh_generic snd_hda_codec_generic iTCO_wdt iTCO_vendor_support
 snd_hda_intel irqbypass snd_hda_codec crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_core snd_hwdep intel_cstate snd_seq snd_seq_device intel_uncore joydev asus_nb_wmi intel_rapl_perf asus_wmi wmi_bmof arc4 snd_pcm iwldvm sparse_keymap mac80211 acpi_als mei_me iwlwifi cfg80211 kfifo_buf rfkill snd_timer mei int3400_thermal acpi_thermal_rel lpc_ich snd soundcore int3402_thermal industrialio int3403_thermal asus_wireless int340x_thermal_zone i2c_i801 pcc_cpufreq binfmt_misc i915 nouveau mxm_wmi ttm i2c_algo_bit drm_kms_helper crc32c_intel drm serio_raw wmi video rtsx_usb_sdmmc mmc_core rtsx_usb

Comment 1 Horst H. von Brand 2018-12-12 10:34:40 UTC
Created attachment 1513649 [details]
File: dmesg

Comment 2 Justin M. Forbes 2019-01-29 16:14:03 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 4.20.5-200.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2019-02-21 21:07:20 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.